# Uses of Class
javax.naming.event.NamingEvent

Packages that use NamingEvent
Package
Description
javax.naming.event
Provides support for event notification when accessing naming and directory services.

## Uses of NamingEvent in javax.naming.event

Methods in javax.naming.event with parameters of type NamingEvent
Modifier and Type
Method
Description
`void`
NamespaceChangeListener.`objectAdded(NamingEvent evt)`
Called when an object has been added.
`void`
ObjectChangeListener.`objectChanged(NamingEvent evt)`
Called when an object has been changed.
`void`
NamespaceChangeListener.`objectRemoved(NamingEvent evt)`
Called when an object has been removed.
`void`
NamespaceChangeListener.`objectRenamed(NamingEvent evt)`
Called when an object has been renamed.